diff --git a/board/boundarydevices/nitrogen6x/6q_bootscript b/board/boundarydevices/nitrogen6x/6q_bootscript
deleted file mode 100644
index e10cfeb0b742f401e36f0f242ca72e45fab26944..0000000000000000000000000000000000000000
GIT binary patch
diff --git a/board/boundarydevices/nitrogen6x/6q_upgrade b/board/boundarydevices/nitrogen6x/6q_upgrade
deleted file mode 100644
index 2f20efa2e85c761b09da7ae5a935589280dae5eb..0000000000000000000000000000000000000000
GIT binary patch
diff --git a/board/boundarydevices/nitrogen6x/6x_bootscript b/board/boundarydevices/nitrogen6x/6x_bootscript
new file mode 100644
index 0000000000000000000000000000000000000000..dc9eea481c03145d16959e5ebcc47120ff3cc2c3
GIT binary patch
diff --git a/board/boundarydevices/nitrogen6x/6x_upgrade b/board/boundarydevices/nitrogen6x/6x_upgrade
new file mode 100644
index 0000000000000000000000000000000000000000..cd26b616b0024424764e95f4d54d917c626d36d4
GIT binary patch
diff --git a/board/boundarydevices/nitrogen6x/post-build.sh b/board/boundarydevices/nitrogen6x/post-build.sh
index 2f3c464..1dc5643 100755
--- a/board/boundarydevices/nitrogen6x/post-build.sh
+++ b/board/boundarydevices/nitrogen6x/post-build.sh
@@ -1,18 +1,20 @@
 #!/bin/sh
 # post-build fixups
-# for furthe details, see
-# http://boundarydevices.com/u-boot-conventions-for-i-mx6-nitrogen6x-and-sabrelite/
+# for further details, see
+#
+#  http://boundarydevices.com/u-boot-on-i-mx6/
+#
 
 TARGET_DIR=$1
 IMAGES_DIR=$1/../images
 BOARD_DIR="$(dirname $0)"
 
 # bd u-boot looks for bootscript here
-cp $BOARD_DIR/6q_bootscript $TARGET_DIR
+cp $BOARD_DIR/6x_bootscript $TARGET_DIR
 
 # u-boot / update script for bd upgradeu command
-if [ -e $IMAGES_DIR/u-boot.bin ];
+if [ -e $IMAGES_DIR/u-boot.imx ];
 then
-    cp $IMAGES_DIR/u-boot.bin $TARGET_DIR
-    cp $BOARD_DIR/6q_upgrade $TARGET_DIR
+    cp $IMAGES_DIR/u-boot.imx $TARGET_DIR
+    cp $BOARD_DIR/6x_upgrade $TARGET_DIR
 fi